using System;
namespace ConsoleApp2
{
    class Program
    {
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            int[,] m = new int[3, n];

            for (int i = 0; i < 3; i++)
            {
                string[] s = Console.ReadLine().Split();
                for (int j = 0; j < n; j++)
                    m[i, j] = int.Parse(s[j]);
            }

            int z = 0;
            int br = 0;
            for (int i=0; i<n; i++)
            {
                for (int j = 0; j < n; j++)
                {
                    br = 0;
                    if (m[0, i] == m[1, j])
                    {
                        br = j + 1;
                        for (int k = 0; k < n; k++)
                        {
                            if (m[2, k] == br)
                                z++;

                        }
                    }
                }
            }
            Console.WriteLine(z);

        }

    }
}